function TextBox_getText(id) {
	var textBox = document.getElementById(id + "_Text");
	if (textBox != null) {
		var result = textBox.innerHTML.replace(/<br>/gi, "\n");
		result = result.replace(/&nbsp;/gi, " ");
		return result;
	} else {
		return "";
	}
}

function TextBox_setText(id, text) {
	var textBox = document.getElementById(id + "_Text");
	if (textBox != null) {
		var result = text.replace(/\n/gi, "<br>");
		result = result.replace(/([^\s])\s/gi, "$1&escsp;");
		result = result.replace(/\s/gi, "&nbsp;");
		result = result.replace(/&escsp;/gi, " ");
		textBox.innerHTML = result;
	}
}